<?php

namespace App\Classes\General\Eloquent\Filters;


use Illuminate\Database\Eloquent\Builder;

class OwnerHasTransactionType implements Filter
{

    /**
     * @param Builder $builder
     * @param $value
     * @return mixed
     */
    public static function apply(Builder $builder, $value)
    {
        return $builder->whereHas('owner', function($query) use($value) {
            return $query->whereHas('transactions', function($query) use($value) {
                return $query->where('transactions.type', $value);
            });
        });
    }
}
